{% extends 'core/layout/layout.html.twig' %}

{% block stylesheets %}
{{ parent() }}
        
{% endblock %}

{% block title %}Log in!{% endblock %}

{% block container %}
    <div class="content-landing">
        {% block content %} 
        
       
       <form method="post">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
        <div class="mb-3">
            You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
        </div>
    {% endif %}

     <div class="row justify-content-center">

                <div class="col-xl-10 col-lg-12 col-md-9">

                    <div class="card o-hidden border-0 shadow-lg my-5">
                        <div class="card-body p-0">
                            <!-- Nested Row within Card Body -->
                            <div class="row">
                                <div class="col-lg-6 d-none d-lg-block bg-login-image"></div>
                                <div class="col-lg-6 login-center">
                                    <div class="p-5">
                                        <div class="text-center">
                                            <h1 class="h4 text-gray-900 mb-4">Prêt à partir en voyage ?</h1>
                                        </div>
                                        <div class="user">
                                            <div class="form-group">
                                                <input type="email" class="form-control form-control-user" value="{{ last_username }}"
                                                    id="exampleInputEmail" aria-describedby="emailHelp" name="email"
                                                    placeholder="Enter Email Address..." required autofocus>
                                            </div>
                                            <div class="form-group">
                                                <input type="password" class="form-control form-control-user"
                                                    id="exampleInputPassword" placeholder="Password" name="password" required>
                                            </div>
                                            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
                                            
                                             <button class="btn btn-primary btn-user btn-block" type="submit">Sign in</button>
                                        </div>
                                        <hr>
                                        
                                        <div class="text-center">
                                            <a class="small" href="{{ path('homepage') }}">Create an Account!</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

            </div>

    {#
        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
        See https://symfony.com/doc/current/security/remember_me.html

        <div class="checkbox mb-3">
            <label>
                <input type="checkbox" name="_remember_me"> Remember me
            </label>
        </div>
    #}

</form> 
    
         
         
         
         
         
   {% endblock content %} </div>
    </div>
{% endblock container %}


{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('js/landing-page', null, 'frontend') }}
{% endblock %}


